<template>
  <section>
    <div class="flex">
      <section class="px-8 left" :style="$mq | mq({ sm: 'width:100%', md: 'width:443px' })">
        <div class="wrapper--menu pb-5 mt-8">
          <div class="flex mb-5">
            <Button
              :on-click="() => changeMenu(true)"
              class="rounded-l-lg py-2 px-4 w-full"
              :main="isSeeker"
              :class="$colorMode.value === 'dark' && !isSeeker ? 'secondary' : 'black'"
            >
              Minta Bantuan
            </Button>
            <Button
              :on-click="() => changeMenu(false)"
              class="py-2 px-4 rounded-r-lg w-full"
              :green="!isSeeker"
              :class="$colorMode.value === 'dark' && isSeeker ? 'secondary' : 'black'"
              >Beri Bantuan</Button
            >
          </div>
          <p class="text-center desc text-sm">
            Menampilkan
            <strong>{{ listData.length }} pemberi bantuan</strong> di sekitar Anda
          </p>
        </div>
        <div class="wrapper--list">
          <Card
            v-for="data in listData"
            :key="data._id"
            green
            :title="data.name"
            :item-details="data.item_details"
            :name="data.provider_name"
            :verified="data.provider_name !== null && data.provider_name !== undefined"
            :radius="data.distance"
          />
        </div>
        <Button
          v-if="isSeeker"
          :on-click="() => gotoPage('/permintaan-bantuan')"
          main
          class="w-full px-5 py-3 my-2 rounded-lg"
          >Input Pencari Bantuan</Button
        >
        <Button v-else green class="w-full px-5 py-3 my-2 rounded-lg">Tambah Titik Bantuan</Button>
      </section>
      <Maps />
    </div>
  </section>
</template>

<script>
const Maps = () => import('~/components/Maps/search');
const Card = () => import('~/components/Card');
import { mapState, mapActions } from 'vuex';
export default {
  layout: 'no-footer',
  components: {
    Maps,
    Card,
  },
  data: () => ({
    isSeeker: true,
  }),
  computed: {
    ...mapState({
      listData: state => state.beneficiaryList.list_data,
      // listData: state => state.beneficiaryList.dummy_list_data,
      loading: state => state.beneficiaryList.loading,
    }),
  },
  async mounted() {
    await this.fetchCurrentPosition();
    this.fetchListData();
  },
  methods: {
    ...mapActions({
      fetchCurrentPosition: 'clientInfo/fetchCurrentPosition',
      fetchListData: 'beneficiaryList/fetchListData',
    }),
    changeMenu(v) {
      this.isSeeker = v;
    },
    gotoPage(url) {
      this.$router.push(url);
    },
  },
};
</script>

<style lang="scss" scoped>
.wrapper--list {
  height: calc(100vh - 80px - 170px - 30px);
  overflow-y: auto;
}
.left {
  width: 443px;
}
.dark-mode {
  .wrapper--menu {
    background-color: $black;
  }
}
.light-mode {
  .wrapper--menu {
    background-color: $white;
  }
}
</style>
